Terminate Job
curl --request DELETE \
--url https://api.xplenty.com/{account_id}/api/jobs/{job_id} \
--header 'Accept: <accept>' \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.xplenty.com/{account_id}/api/jobs/{job_id}"
headers = {
"Accept": "<accept>",
"Authorization": "Basic <encoded-value>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Accept: '<accept>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://api.xplenty.com/{account_id}/api/jobs/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.xplenty.com/{account_id}/api/jobs/{job_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Accept: <accept>",
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.xplenty.com/{account_id}/api/jobs/{job_id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Accept", "<accept>")
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.xplenty.com/{account_id}/api/jobs/{job_id}")
.header("Accept", "<accept>")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.xplenty.com/{account_id}/api/jobs/{job_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Accept"] = '<accept>'
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"id": 157,
"status": "completed",
"owner_id": 123,
"progress": 1,
"outputs_count": 2,
"outputs": [
{
"id": 123,
"name": "projected_results",
"records_count": 10415234,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"url": "<string>",
"component": {
"name": "<string>",
"type": "<string>",
"fields": [
"<string>"
]
}
}
],
"variables": {},
"dynamic_variables": {},
"started_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"failed_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"cluster_id": 52,
"package_id": 434,
"errors": "<string>",
"runtime_in_seconds": 123,
"url": "<string>",
"html_url": "<string>",
"log_url": "<string>",
"creator": {
"type": "<string>",
"display_name": "<string>",
"id": 123,
"url": "<string>"
},
"package": {
"id": 123,
"name": "<string>",
"url": "<string>"
},
"cluster": {
"id": 123,
"name": "<string>",
"url": "<string>"
}
}{
"message": "Item not found."
}{
"message": "Item not found."
}Jobs
Terminate Job
Terminates the specified job, stopping its execution and releasing resources.
DELETE
/
jobs
/
{job_id}
Terminate Job
curl --request DELETE \
--url https://api.xplenty.com/{account_id}/api/jobs/{job_id} \
--header 'Accept: <accept>' \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.xplenty.com/{account_id}/api/jobs/{job_id}"
headers = {
"Accept": "<accept>",
"Authorization": "Basic <encoded-value>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Accept: '<accept>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://api.xplenty.com/{account_id}/api/jobs/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.xplenty.com/{account_id}/api/jobs/{job_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Accept: <accept>",
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.xplenty.com/{account_id}/api/jobs/{job_id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Accept", "<accept>")
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.xplenty.com/{account_id}/api/jobs/{job_id}")
.header("Accept", "<accept>")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.xplenty.com/{account_id}/api/jobs/{job_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Accept"] = '<accept>'
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"id": 157,
"status": "completed",
"owner_id": 123,
"progress": 1,
"outputs_count": 2,
"outputs": [
{
"id": 123,
"name": "projected_results",
"records_count": 10415234,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"url": "<string>",
"component": {
"name": "<string>",
"type": "<string>",
"fields": [
"<string>"
]
}
}
],
"variables": {},
"dynamic_variables": {},
"started_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"failed_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"cluster_id": 52,
"package_id": 434,
"errors": "<string>",
"runtime_in_seconds": 123,
"url": "<string>",
"html_url": "<string>",
"log_url": "<string>",
"creator": {
"type": "<string>",
"display_name": "<string>",
"id": 123,
"url": "<string>"
},
"package": {
"id": 123,
"name": "<string>",
"url": "<string>"
},
"cluster": {
"id": 123,
"name": "<string>",
"url": "<string>"
}
}{
"message": "Item not found."
}{
"message": "Item not found."
}Authorizations
Enter your API key as the username. Leave the password field blank.
Example: curl -u YOUR_API_KEY: https://api.xplenty.com/...
Headers
API version header — required on all requests
Path Parameters
The unique ID of the job
Response
Job termination initiated
Example:
157
Available options:
idle, pending, queued, running, completed, failed, pending_stoppage, stopping, stopped Example:
"completed"
Required range:
0 <= x <= 1Example:
1
Example:
2
Show child attributes
Show child attributes
Example:
52
Example:
434
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?